4

I'm trying to upgrade a Drupal site from 6.34 to 7.x using Drush. When I run drush site-upgrade @alias, everything goes well until step 12-a where it ends up throwing this error :

Unknown option: --uninstall.  See `drush help pm-disable` for available options. To suppress this error, add the option --strict=0.

I made some search about this and tried a few things :

$options['strict'] = FALSE;

  • In that same drushrc file, I added this line :

$command_specific['pm-disable'] = array('strict' => 0);

This solution was proposed here : https://www.drupal.org/node/2074781

alias drush='drush --strict=0'

Neither of these solutions helped, I always get the same error.

OS: Ubuntu 14.10
Drush : 6.2.0
PHP: 5.5.12-2ubuntu4.1 (cli)
4

My Drush configuration file was simply misplaced, I had to put it in Drupal's directory (sites/all/drush/drushrc.php) rather than ~/.drush/

When running drush status from your Drupal source site directory, make sure there is a Drush configuration loaded.

Drush version                   :  6.2.0
Drush configuration             :  /var/www/html/drupal/sites/all/drush/drushrc.php
Drush alias files               :  /root/.drush/my.alias.drushrc.php

And here is the content of file sites/all/drush/drushrc.php

<?php
$options['strict'] = FALSE;
| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.